package cn.superdesk.uniorder.dao.entity.statistics.prayable;

import java.math.BigDecimal;
import java.util.Date;

public class StPayableDetailDataEntity {
    private Long id;

    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private String orderSn;

    private String creditNo;

    private String refundOrderSn;

    private String serviceNo;

    private String serviceNoName;

    private Byte orderState;

    private String orderStateName;

    private Date billCreatedAt;

    private Date finishTime;

    private Long goodsId;

    private String goodsName;

    private String goodsUnit;

    private Long goodsQuantity;

    private BigDecimal goodsPrice;

    private BigDecimal goodsTotalAmount;

    private BigDecimal merchTaxRate;

    private String merchTaxCode;

    private String accountingOrderSn;

    private Byte accountingState;

    private Byte makeInvoiceStatus;

    private Byte backStatus;

    private String remark;

    private BigDecimal costNoTax;

    private BigDecimal taxAmount;

    private BigDecimal payableAmount;

    private Date accountAt;

    private Byte accountState;

    private Long updateUserId;

    private String updateUserName;

    private Date updateTime;

    private Date createdAt;

    private Long createUserId;

    private String createUserName;

    private Byte dataType;

    private BigDecimal balanceCost;

    private Long chargeGoodsId; //冲销商品订单id

    private Long payableDayId;

    private Long chargePayableDayId;

    private String collectionOrderSn;

    private Byte chargeStatus;

    private Long chargeUserId;

    private Date chargeCreatedAt;

    private String chargeUserName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreditId() {
        return creditId;
    }

    public void setCreditId(Long creditId) {
        this.creditId = creditId;
    }

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public String getSettlementName() {
        return settlementName;
    }

    public void setSettlementName(String settlementName) {
        this.settlementName = settlementName;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getCreditNo() {
        return creditNo;
    }

    public void setCreditNo(String creditNo) {
        this.creditNo = creditNo;
    }

    public String getRefundOrderSn() {
        return refundOrderSn;
    }

    public void setRefundOrderSn(String refundOrderSn) {
        this.refundOrderSn = refundOrderSn;
    }

    public String getServiceNo() {
        return serviceNo;
    }

    public void setServiceNo(String serviceNo) {
        this.serviceNo = serviceNo;
    }

    public String getServiceNoName() {
        return serviceNoName;
    }

    public void setServiceNoName(String serviceNoName) {
        this.serviceNoName = serviceNoName;
    }

    public Byte getOrderState() {
        return orderState;
    }

    public void setOrderState(Byte orderState) {
        this.orderState = orderState;
    }

    public String getOrderStateName() {
        return orderStateName;
    }

    public void setOrderStateName(String orderStateName) {
        this.orderStateName = orderStateName;
    }

    public Date getBillCreatedAt() {
        return billCreatedAt;
    }

    public void setBillCreatedAt(Date billCreatedAt) {
        this.billCreatedAt = billCreatedAt;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public Long getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(Long goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public BigDecimal getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(BigDecimal goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public BigDecimal getGoodsTotalAmount() {
        return goodsTotalAmount;
    }

    public void setGoodsTotalAmount(BigDecimal goodsTotalAmount) {
        this.goodsTotalAmount = goodsTotalAmount;
    }

    public BigDecimal getMerchTaxRate() {
        return merchTaxRate;
    }

    public void setMerchTaxRate(BigDecimal merchTaxRate) {
        this.merchTaxRate = merchTaxRate;
    }

    public String getMerchTaxCode() {
        return merchTaxCode;
    }

    public void setMerchTaxCode(String merchTaxCode) {
        this.merchTaxCode = merchTaxCode;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public Byte getAccountingState() {
        return accountingState;
    }

    public void setAccountingState(Byte accountingState) {
        this.accountingState = accountingState;
    }

    public Byte getMakeInvoiceStatus() {
        return makeInvoiceStatus;
    }

    public void setMakeInvoiceStatus(Byte makeInvoiceStatus) {
        this.makeInvoiceStatus = makeInvoiceStatus;
    }

    public Byte getBackStatus() {
        return backStatus;
    }

    public void setBackStatus(Byte backStatus) {
        this.backStatus = backStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public BigDecimal getCostNoTax() {
        return costNoTax;
    }

    public void setCostNoTax(BigDecimal costNoTax) {
        this.costNoTax = costNoTax;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getPayableAmount() {
        return payableAmount;
    }

    public void setPayableAmount(BigDecimal payableAmount) {
        this.payableAmount = payableAmount;
    }

    public Date getAccountAt() {
        return accountAt;
    }

    public void setAccountAt(Date accountAt) {
        this.accountAt = accountAt;
    }

    public Byte getAccountState() {
        return accountState;
    }

    public void setAccountState(Byte accountState) {
        this.accountState = accountState;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public Byte getDataType() {
        return dataType;
    }

    public void setDataType(Byte dataType) {
        this.dataType = dataType;
    }

    public BigDecimal getBalanceCost() {
        return balanceCost;
    }

    public void setBalanceCost(BigDecimal balanceCost) {
        this.balanceCost = balanceCost;
    }

    public Long getChargeGoodsId() {
        return chargeGoodsId;
    }

    public void setChargeGoodsId(Long chargeGoodsId) {
        this.chargeGoodsId = chargeGoodsId;
    }

    public Long getPayableDayId() {
        return payableDayId;
    }

    public void setPayableDayId(Long payableDayId) {
        this.payableDayId = payableDayId;
    }

    public Long getChargePayableDayId() {
        return chargePayableDayId;
    }

    public void setChargePayableDayId(Long chargePayableDayId) {
        this.chargePayableDayId = chargePayableDayId;
    }

    public String getCollectionOrderSn() {
        return collectionOrderSn;
    }

    public void setCollectionOrderSn(String collectionOrderSn) {
        this.collectionOrderSn = collectionOrderSn;
    }

    public Byte getChargeStatus() {
        return chargeStatus;
    }

    public void setChargeStatus(Byte chargeStatus) {
        this.chargeStatus = chargeStatus;
    }

    public Long getChargeUserId() {
        return chargeUserId;
    }

    public void setChargeUserId(Long chargeUserId) {
        this.chargeUserId = chargeUserId;
    }

    public Date getChargeCreatedAt() {
        return chargeCreatedAt;
    }

    public void setChargeCreatedAt(Date chargeCreatedAt) {
        this.chargeCreatedAt = chargeCreatedAt;
    }

    public String getChargeUserName() {
        return chargeUserName;
    }

    public void setChargeUserName(String chargeUserName) {
        this.chargeUserName = chargeUserName;
    }
}